#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file builds the ecTrans dwarf.
# ------------------------------------------------------------------------------

# Setup required modules.
source load_modules.sh

# Set compilers for make/cmake.
export FC90=ftn
export FC=ftn
export CC=cc
export CXX=CC

# Export used environment variables.
# Note that these are also used by the ecBuild repository.
export BASEDIR=$PWD
export SOURCEDIR=${BASEDIR}/sources
export BUILDDIR=${BASEDIR}/build
export INSTALLDIR=${BASEDIR}/install
export PATH=${PATH}:${INSTALLDIR}/ecbuild/bin/
export TOOLCHAIN_FILE=${SOURCEDIR}/ectrans/toolchain_lumi.cmake
export ECBUILD_TOOLCHAIN="${TOOLCHAIN_FILE}"

# Create directories for the build process.
mkdir -p "${BASEDIR}" "${SOURCEDIR}" "${BUILDDIR}" "${INSTALLDIR}"

# Load ecBuild and FIAT.
export PATH=/project/project_465000527/vaneckok/ecbuild/bin:$PATH

